VERSION = 1.59.1
BINDIR = /usr/bin
DESTDIR = /usr/share/sgml/docbook/xsl-stylesheets-$(VERSION)
INSTALL = install -p

all: install

install: install-xsl install-img install-extensions install-tools install-misc

install-xsl:
	$(INSTALL) -d -m755 $(DESTDIR)/{common,fo,html,htmlhelp,javahelp,lib,manpages,profiling,template,xhtml}
	$(INSTALL) -m644 common/*.dtd $(DESTDIR)/common
	$(INSTALL) -m644 common/*.xml $(DESTDIR)/common
	$(INSTALL) -m644 common/*.xsl $(DESTDIR)/common
	$(INSTALL) -m644 fo/*.xml $(DESTDIR)/fo
	$(INSTALL) -m644 fo/*.xsl $(DESTDIR)/fo
	$(INSTALL) -m644 html/*.xml $(DESTDIR)/html
	$(INSTALL) -m644 html/*.xsl $(DESTDIR)/html
	$(INSTALL) -m644 htmlhelp/*.xml $(DESTDIR)/htmlhelp
	$(INSTALL) -m644 htmlhelp/*.xsl $(DESTDIR)/htmlhelp
	$(INSTALL) -m644 javahelp/*.xsl $(DESTDIR)/javahelp
	$(INSTALL) -m644 lib/*.xsl $(DESTDIR)/lib
	$(INSTALL) -m644 manpages/*.xsl $(DESTDIR)/manpages
	$(INSTALL) -m644 profiling/*.xsl $(DESTDIR)/profiling
	$(INSTALL) -m644 template/README $(DESTDIR)/template
	$(INSTALL) -m644 template/*.xml $(DESTDIR)/template
	$(INSTALL) -m644 template/*.xsl $(DESTDIR)/template
	$(INSTALL) -m644 xhtml/*.xsl $(DESTDIR)/xhtml

install-img:
	$(INSTALL) -d -m755 $(DESTDIR)/images/callouts
	$(INSTALL) -m644 images/*.gif $(DESTDIR)/images
	$(INSTALL) -m644 images/*.png $(DESTDIR)/images
	$(INSTALL) -m644 images/*.tif $(DESTDIR)/images
	$(INSTALL) -m644 images/callouts/*.gif $(DESTDIR)/images/callouts
	$(INSTALL) -m644 images/callouts/*.png $(DESTDIR)/images/callouts

install-extensions:
	$(INSTALL) -d -m755 $(DESTDIR)/extensions
	$(INSTALL) -m644 extensions/*.jar $(DESTDIR)/extensions

install-tools:
	$(INSTALL) -d -m755 $(DESTDIR)/tools/{olink,profile}
	$(INSTALL) -m644 tools/olink/*.xsl $(DESTDIR)/tools/olink
	$(INSTALL) -m644 tools/olink/*.dtd $(DESTDIR)/tools/olink
	$(INSTALL) -m644 tools/profile/*.xsl $(DESTDIR)/tools/profile

install-misc:
	$(INSTALL) -m644 VERSION $(DESTDIR)
